com.thinkaurelius.titan.graphdb.transaction.addedrelations

## Class ConcurrentAddedRelations

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<InternalRelation>
      - - com.thinkaurelius.titan.graphdb.transaction.addedrelations.SimpleAddedRelations
        - - com.thinkaurelius.titan.graphdb.transaction.addedrelations.ConcurrentAddedRelations

- All Implemented Interfaces:
    AddedRelationsContainer, Serializable, Cloneable, Iterable<InternalRelation>, Collection<InternalRelation>, List<InternalRelation>, RandomAccess

      public class ConcurrentAddedRelations
      extends SimpleAddedRelations

  Author:
    Matthias Broecheler (me@matthiasb.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

    - ### Fields inherited from interface com.thinkaurelius.titan.graphdb.transaction.addedrelations.AddedRelationsContainer

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentAddedRelations()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(InternalRelation relation)`
    `List<InternalRelation>` | `getView(com.google.common.base.Predicate<InternalRelation> filter)`
    `boolean` | `isEmpty()`
    `boolean` | `remove(InternalRelation relation)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.transaction.addedrelations.SimpleAddedRelations

      `getAll`

    - ### Methods inherited from class java.util.ArrayList

      `add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

- - ### Constructor Detail

    - #### ConcurrentAddedRelations

          public ConcurrentAddedRelations()

  - ### Method Detail

    - #### add

          public boolean add(InternalRelation relation)

      Specified by:
        `add` in interface `AddedRelationsContainer`
      Specified by:
        `add` in interface `Collection<InternalRelation>`
      Specified by:
        `add` in interface `List<InternalRelation>`
      Overrides:
        `add` in class `SimpleAddedRelations`

    - #### remove

          public boolean remove(InternalRelation relation)

      Specified by:
        `remove` in interface `AddedRelationsContainer`
      Overrides:
        `remove` in class `SimpleAddedRelations`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `AddedRelationsContainer`
      Specified by:
        `isEmpty` in interface `Collection<InternalRelation>`
      Specified by:
        `isEmpty` in interface `List<InternalRelation>`
      Overrides:
        `isEmpty` in class `ArrayList<InternalRelation>`

    - #### getView

          public List<InternalRelation> getView(com.google.common.base.Predicate<InternalRelation> filter)

      Specified by:
        `getView` in interface `AddedRelationsContainer`
      Overrides:
        `getView` in class `SimpleAddedRelations`

Copyright © 2012–2014. All rights reserved.